<template>
  <div class="top-enterprise-panel">
    <el-form :inline="true" ref="form" style="margin-left:5px" size="mini">
      <el-form-item label="分类：">
        <el-select v-model="form.regionType" @change="handlePipelineType" style="width: 100px">
          <el-option
              v-for="item in regionOptions"
              :key="item.value"
              :label="item.label"
              :value="item.value">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="企业名称：">
        <el-select v-model="form.enterprise" style="width: 100px">
          <el-option
              v-for="item in enterpriseOptions"
              :key="item.value"
              :label="item.label"
              :value="item.value">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="模糊搜索：">
        <el-input v-model="form.name" placeholder="请输入关键字搜索" style="width: 100px"></el-input>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="onSubmit">查询</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import { listRegion } from '@/api/region'
import { listEnterprise } from '@/api/enterprise'

export default {
  name: 'TopEnterprisePanel',
  components: {},
  data () {
    return {
      isPanelVisible: false,
      total: 0,
      list: [],
      regionOptions: [],
      enterpriseOptions: [],
      form: {
        regionType: '',
        enterprise: ''
      }
    }
  },
  methods: {
    handleClose (done) {
      console.log(done)
    },
    handleClick (tab, event) {
      console.log(tab, event)
    },
    handlePipelineType (item) {
      listEnterprise({}).then((res) => {
        var data = res.data
        this.enterpriseOptions = data[item]
      })
    },
    loadData () {
      listRegion({}).then((res) => {
        this.regionOptions = res.data
      })
    },
    onSubmit () {

    }
  },
  mounted () {
    this.loadData()
  },
  created () {
  }
}
</script>

<style lang="less">
.top-enterprise-panel {
  position: absolute;
  margin: 0 auto;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 1000;
  width: 640px;
  height: 40px;
  padding-top: 10px;
  background: #07325b;
  border: 1px solid #2A8FD4;
  border-radius: 10px;
  text-align: center;

  .el-button {
    border-radius: 0;
  }

  .el-input__inner {
    border-radius: 0;
    border: 1px solid #0e639e;
    background-color: #061e51;
  }

  .el-form-item__label {
    color: #ffffff;
  }

  .el-message-box__content {
    background-color: #030D2E;
  }

  .search-form .el-form-item {
    margin: 0;
  }

  .search-form .el-icon-search {
    display: grid;
    line-height: 30px;
    font-size: 18px;
  }

  .search-panel {
    border: #07325B;
    background-color: #07325B;
  }

  .search-result {
    margin: 5px 0 0 0;
    padding: 0;
    border: #051842;
    overflow-y: scroll;
    background-color: #051842;
  }
}
</style>
